// SAMSUNG Sample ProgramDlg.h : header file
//

#if !defined(AFX_SAMSUNGSAMPLEPROGRAMDLG_H__6789AA02_0C3E_4287_9C25_32579725B080__INCLUDED_)
#define AFX_SAMSUNGSAMPLEPROGRAMDLG_H__6789AA02_0C3E_4287_9C25_32579725B080__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSAMSUNGSampleProgramDlg dialog

class CSAMSUNGSampleProgramDlg : public CDialog
{
// Construction
public:
	int LoadBitmap(CString bitmapFile, int yPoint);
	void UnloadDeviceFont(CFont* pNewFont, CFont** pOldFont);
	CDC m_cDC;
	void LoadDeviceFont(CFont* pNewFont, char* szFontName, CFont** pOldFont, int pointsize);
	int nNewPage( CFont* newFont, int nPosition );
	CString m_strPrinterName;
	CSAMSUNGSampleProgramDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSAMSUNGSampleProgramDlg)
	enum { IDD = IDD_SAMSUNGSAMPLEPROGRAM_DIALOG };
	CComboBox	m_ctrlCashDrawSpeed;
	CComboBox	m_ctrlDeviceFontList;
	int		m_nDrawNumber;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSAMSUNGSampleProgramDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSAMSUNGSampleProgramDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnFontPrint();
	afx_msg void OnDestroy();
	afx_msg void OnPartialCut();
	afx_msg void OnPartialCutWithoutFeeding();
	afx_msg void OnPrintReceipt();
	afx_msg void OnOpenCashDraw();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SAMSUNGSAMPLEPROGRAMDLG_H__6789AA02_0C3E_4287_9C25_32579725B080__INCLUDED_)
